/**
* 
* @author José Rojel
* 
*  Esta clase se encarga de administrar el panel Registerer y Shower,
*	permite además cuidar la correcta validación de los datos y refrescar al Shower
*	cuando se agrega un nuevo dato a la database.
*	
*/

import java.io.IOException;

public class Administrador {
	
	private RegistererPanel panel2;
	private ShowerPanel panel3;
	
	public Administrador(RegistererPanel panel2_, ShowerPanel panel3_) {
		panel2 = panel2_;
		panel3 = panel3_;
	}
	
	public boolean checkText(String s) {
		return s.matches("[0-9]+");
		
	}
	
	public void updateShower() throws NumberFormatException, IOException {
		panel3.updateData();
		panel3.updateShower();
	}
	
	
}
